> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Profile

> <Warning>Name, gender and date of birth cannot be edited for a KYC verified ABHA</Warning>



## OpenAPI

````yaml patch /abdm/v1/profile
openapi: 3.1.0
info:
  description: ABHA Registration and login APIs
  title: Registration
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /abdm/v1/profile:
    patch:
      description: >-
        Update Profile Details


        <Note>The API expects all the fields returned by the [Get Profiles
        API](/api-reference/user-app/abdm-connect/profile/details/profile-details)
        to be included in the PATCH request body.</Note>
      parameters:
        - description: Eka User ID (OID)
          in: header
          name: X-Pt-Id
          schema:
            type: string
        - description: Partner User ID
          in: header
          name: X-Partner-Pt-Id
          schema:
            type: string
        - description: Partner HIP ID
          in: header
          name: X-Hip-Id
          schema:
            type: string
        - description: OID is used to Identify the user.
          in: query
          name: oid
          schema:
            description: OID is used to Identify the user.
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DetailsRequestType2'
      responses:
        '204':
          description: No Content
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
      security:
        - authApiKey: []
components:
  schemas:
    DetailsRequestType2:
      properties:
        address:
          description: Address of the user.
          examples:
            - 123, ABC Street
          type:
            - 'null'
            - string
        day_of_birth:
          description: Day of birth of the user.
          examples:
            - 1
          type: integer
        first_name:
          description: First name of the user.
          examples:
            - Shyam
          type: string
        gender:
          description: Gender of the user ('M' for male, 'F' for female, 'O' for other).
          enum:
            - M
            - F
            - O
          examples:
            - M
          type: string
        last_name:
          description: Last name of the user.
          examples:
            - Singh
          type:
            - 'null'
            - string
        middle_name:
          description: Middle name of the user.
          examples:
            - Kumar
          type:
            - 'null'
            - string
        month_of_birth:
          description: Month of birth of the user.
          examples:
            - 1
          type: integer
        pincode:
          description: Pincode of the user's address.
          examples:
            - '110001'
          type: string
        year_of_birth:
          description: Year of birth of the user.
          examples:
            - 1990
          type: integer
      required:
        - first_name
        - gender
        - year_of_birth
        - month_of_birth
        - day_of_birth
        - pincode
      type: object
    GenericError:
      properties:
        code:
          type: integer
        error:
          type: string
        source_error:
          $ref: '#/components/schemas/SourceErr'
      type: object
    SourceErr:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
  securitySchemes:
    authApiKey:
      description: The API requires a Bearer token (JWT) for authentication.
      scheme: bearer
      type: http

````